Package com.usatiuk.dhfs.remoteobj

# Class DefaultObjSyncHandler

java.lang.Object
com.usatiuk.dhfs.remoteobj.DefaultObjSyncHandler

@ApplicationScoped public class DefaultObjSyncHandler extends Object

## Constructor Summary

Constructors
Constructor
Description
`DefaultObjSyncHandler()`

## Method Summary

Modifier and Type
Method
Description
`<T extends JDataRemote>
void`
`handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, JDataRemote receivedData)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultObjSyncHandler

public DefaultObjSyncHandler()

## Method Details

### handleRemoteUpdate

public <T extends JDataRemote> void handleRemoteUpdate(PeerId from, JObjectKey key, org.pcollections.PMap<PeerId,Long> receivedChangelog, @Nullable JDataRemote receivedData)